
QGIS Application - Bug report #19707

QGIS hangs after PC locks screen after timeout

2018-08-27 02:38 PM - Keith Ross-Jones

Status: Open

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows 10 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 27532

Description

QGIS Desktop on windows 10 64-bit on a laptop hangs and also causes some Windows functions to hang when the laptop locks after the

inactivity timeout period.  The lockup happens after unlocking the screen.  Some functions of Windows also locks, such as trying to

activate other applications.

I am heavily using GEOPackages for all my layers.

History

#1 - 2018-08-27 03:12 PM - Keith Ross-Jones

UPDATE:  If you lock the screen manually (Windows-L) and then unlock there is the same hang issues.  No file needs to be open for this to occur.

#2 - 2018-08-27 03:15 PM - Keith Ross-Jones

UPDATE2:  After unlocking the screen and looking at the process in "Process Explorer" it shows that QGIS is Suspended.  Un-suspending the process

causes QGIS to close/crash/

#3 - 2018-08-29 05:28 PM - Giovanni Manghi

- Category changed from Unknown to GUI

- Status changed from Open to Feedback

- Priority changed from Normal to High

Does it happens on 2.18?

#4 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#5 - 2018-12-27 06:48 PM - Jesper Cairo Westergaard

Giovanni Manghi wrote:

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.
Just did.

It is still an issue :-(

I have Win10/64bit.

I am running QGIS 3.4.3-Madeira

If QGIS is the foremost/active program, and I press Win L (lock) it will be suspended when I log in again (even if after just a few sexonds of the PC being

locked).

But, if I have something else as the front app, then no problem. QGIS works fine, responds, does NOT get suspended.

#6 - 2018-12-27 07:04 PM - Jesper Cairo Westergaard

Giovanni Manghi wrote:

Does it happens on 2.18?

Yes. It also happens in 2.18.16 - But there, upon the re-login, it has ready a small window titled "Crash dumped" and it gives the path and name of the log

file (which is binary). I can send a link to a crash log (it is 75 mb; cannot upload here with max of 5 Mb).

#7 - 2018-12-28 03:06 PM - Giovanni Manghi

- Affected QGIS version changed from 3.2.2 to 3.4.1

- Status changed from Feedback to Open

#8 - 2018-12-29 11:52 AM - Jesper Cairo Westergaard

UPDATE:

I just tried on another system. Win7/64, QGIS 3.4.0 and there I experience no problem. So it might just be a Windows 10 issue.

The system I have where the problem shows is a laptop, Lenovo Yoga 92013IKB, 4K touch display, Win 10 home, 64 bit.

Feel free to send me test suggestions if it can help narrow things down: jcw at plen dot ku dot dk

/Jesper.

#9 - 2018-12-29 12:12 PM - Jesper Cairo Westergaard

UPDATE 2:

I just tried again on my Win10/64 setup w. QGIS 3.4.3 and now there is no problem. Happy happy me.

Yesterday I updated the BIOS (but couldn't test immediately afterwards) and that may have been what solved the issue.

So, we might just have to suggest a BIOS update in similiar circumstances.

If though, the issue of QGIS suspending upon screen lock returns to haunt me, I will make sure to post here again.

Happy new year to all QGIS'ers, Jesper.

#10 - 2018-12-30 12:02 PM - Jesper Cairo Westergaard

- File One QGIS suspended and one ok.jpg added
UPDATE 3:

Oh well. The BIOS update was too good to be true.

Just resumed OS from a hibernate and now QGIS 3.4.3 on Win10/64 is again in suspended and unresponsive.

Strange though that this time my QGIS 2.18.16 is not in suspended mode.

Attaching screen dump of my Task Manager.

/Jesper.

https://issues.qgis.org/attachments/download/14038/One%20QGIS%20suspended%20and%20one%20ok.jpg

#11 - 2018-12-30 12:09 PM - Jesper Cairo Westergaard

PS:

Keith wrote back in August re. this: "Some functions of Windows also locks, such as trying to activate other applications.".

to which I'll add thgat so far I have not experienced that at all. 

Only the QGIS instance(s) itself "locks up" once suspended.

#12 - 2018-12-31 03:04 PM - Giovanni Manghi

- Subject changed from QGIS 3.2.2 hangs after PC locks screen after timeout to QGIS hangs after PC locks screen after timeout

- Status changed from Open to Feedback

- Affected QGIS version changed from 3.4.1 to 3.4.3

Does not happen here on one of my laptops. Does it happen only on your system?

#13 - 2019-01-01 05:35 PM - Jesper Cairo Westergaard

Giovanni Manghi wrote:

Does not happen here on one of my laptops. Does it happen only on your system?

Only on one of my systems. As described above, it happens only on my Win10/64 and not on my Win7/64. I've also written with the original bug poster

Keith and he says it is also still a problem for him.

I just had another crash (forced by me with "end processs" as it was in suspended mode) and here is the crash report detail from the "Oh uh!"-window:

Crash ID: c426515a80f17046e0ad1dd3b0e662de61328df0

Stack Trace

sqlite3_blob_bytes :

sqlite3_blob_bytes :

sqlite3_blob_bytes :

sqlite3_blob_bytes :

sqlite3_blob_bytes :
sqlite3_blob_bytes :

sqlite3_blob_bytes :

sqlite3_blob_bytes :

OGRDataSource::DestroyDataSource :

CPLStringList::FindString :

CPLStringList::empty :

CPLStringList::empty :

CPLStringList::PartialFindString :

OGREnvelope::OGREnvelope :

CPLStringList::operator[] :

QgsVectorLayer::~QgsVectorLayer :

PyInit__core :

QgsMapLayerStore::removeMapLayers :

QgsMapLayerStore::removeMapLayers :

QgsMapLayerStore::removeAllMapLayers :

QgsProject::clear :

QgisApp::closeProject :

QgisApp::fileExit :

QWidget::event :

QgisApp::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::close_helper :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processCloseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.3-Madeira

QGIS code revision: 2f64a3c4e7

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info
CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#14 - 2019-01-01 06:24 PM - Giovanni Manghi

- Category changed from GUI to Build/Install

- Status changed from Feedback to Open

Files

One QGIS suspended and one ok.jpg 146 KB 2018-12-30 Jesper Cairo Westergaard
